/* **************************************************************** */
/*			Fast Data Channel Command Codes							*/
/*	This header file contains the standard and ICS expanded FDC		*/
/*	command codes.													*/
/*	filename:	fdc_cmds.h											*/
/*	created:	12/06/95	CB - for VXI-5526						*/
/*	revised:	12/29/95	CB - for Xtended FDC cmds				*/
/*				02/09/95	CB - added FDC event codes				*/
/*				02/15/95	CB - corrected FDC Enable event codes	*/
/*				03/05/95	CB - corrected XFDC Enable event codes	*/
/* **************************************************************** */


/*	FDC Commands */

#define FDC_CHAN_ADDR_HIGH	0x9F80	/* Channel Address High */
#define XFDC_CHAN_ADDR_HIGH	0x7E00	/* Exp Channel Address High */
#define FDC_CHAN_ADDR_LOW	0x9F00	/* Channel Address Low */
#define XFDC_CHAN_ADDR_LOW	0x7C00	/* Exp Channel Address Low */
#define FDC_CHAN_CLS		0x9F98	/* Channel Close */
#define XFDC_CHAN_CLS		0x7E60	/* Exp Channel Close */
#define FDC_CHAN_INIT		0x9F90	/* Channel Initialize */
#define XFDC_CHAN_INIT		0x7E40	/* Exp Channel Initialize */
#define FDC_CHAN_SIZE_HIGH	0x9F88	/* Channel Size High */
#define XFDC_CHAN_SIZE_HIGH	0x7E20	/* Exp Channel Size High */
#define FDC_CHAN_SIZE_LOW	0x9F08	/* Channel Size Low */
#define XFDC_CHAN_SIZE_LOW	0x7C20	/* Exp Channel Size Low */
#define	FDC_ENBL_PASS_BUFR	0x9F19	/* Enable Passed Buffer */
#define	FDC_DSBL_PASS_BUFR	0x9F18	/* Disable Passed Buffer */
#define XFDC_ENBL_PASS_BUFR	0x7C61	/* Exp Enable Passed Buffer */
#define XFDC_DSBL_PASS_BUFR	0x7C60	/* Exp Disable Passed Buffer */
#define FDC_ENBL_EVENT		0x9FA8	/* FDC Event Enable */
#define FDC_DSBL_EVENT		0x9FA0	/* FDC Event Disable */
#define XFDC_ENBL_EVENT		0x7EA0	/* Exp FDC Event Enable */
#define XFDC_DSBL_EVENT		0x7E80	/* Exp FDC Event Disable */
#define FDC_SUPPORTED		0x9F1F	/* FDC Supported */
#define XFDC_SUPPORTED		0x7C7F	/* Exp FDC Supported */
#define FDC_GO_TO_IDLE		0x9FB0	/* Go to Idle */
#define FDC_GO_TO_IDLE_IM	0x9FB8	/* Go to Idle Immeadiate */
#define XFDC_GO_TO_IDLE		0x7EC0	/* Exp Go to Idle */
#define XFDC_GO_TO_IDLE_IM	0x7EE0	/* Exp Go to Idle Immeadiate */
#define FDC_PASSED_BUFR		0x9F10	/* Passed Buffer */
#define XFDC_PASSED_BUFR	0x7C40	/* Exp Passed Buffer */
#define XFDC_SWITCH_BUFR	0x7C80	/* Exp Switch Buffers */
#define FDC_XFER_TO_CMD		0x9FE0	/* Transfer to Commander */
#define FDC_XFER_TO_CMD_P	0x9FF0	/* Transfer to Commander pair mode */
#define FDC_XFER_TO_CMD_S	0x9FE8	/* Transfer to Commander stream mode */
#define FDC_XFER_TO_CMD_PS	0x9FF8	/* Transfer to Commander pair & stream mode */
#define XFDC_XFER_TO_CMD	0x7F80	/* Exp Xfer to Commander */
#define XFDC_XFER_TO_CMD_P	0x7FC0	/* Exp Xfer to Commander pair mode */
#define XFDC_XFER_TO_CMD_S	0x7FA0	/* Exp Xfer to Commander stream mode */
#define XFDC_XFER_TO_CMD_PS 0x7FE0	/* Exp Xfer to Commander pair & stream mode */
#define FDC_XFER_TO_SRV		0x9FC0	/* Transfer to Servant */
#define FDC_XFER_TO_SRV_P	0x9FD0	/* Transfer to Servant pair mode */
#define FDC_XFER_TO_SRV_S	0x9FC8	/* Transfer to Servant stream mode */
#define FDC_XFER_TO_SRV_PS	0x9FD8	/* Transfer to Servant pair & stream mode */
#define XFDC_XFER_TO_SRV	0x7F00	/* Exp Transfer to Servant */
#define XFDC_XFER_TO_SRV_P	0x7F40	/* Exp Transfer to Servant pair mode */
#define XFDC_XFER_TO_SRV_S	0x7F20	/* Exp Transfer to Servant stream mode */
#define XFDC_XFER_TO_SRV_PS	0x7F60	/* Exp Transfer to Servant pair & stream mode */

/*	FDC Events	*/

#define	FDC_EVENT			0xC800	/* Std FDC Event */
#define	XFDC_EVENT			0x8000	/* Exp FDC Event */

